﻿@model HomeViewModel

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="text-white py-2">Choose a section</h2>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <div class="list-group">
            @foreach (var topic in Model.TopicsVM)
            {
                <a asp-controller="Home" asp-action="Section" asp-route-id="@topic.Id" class="list-group-item list-group-item-action d-flex justify-content-between">
                    @topic.Name
                    <span class="badge bg-primary rounded-pill">@topic.QuestionsCount</span>
                </a>
            }
            
            <a asp-controller="Home" asp-action="Section" class="list-group-item list-group-item-action d-flex justify-content-between">
                All section
                <span class="badge bg-primary rounded-pill">@Model.QuestionsCount</span>
            </a>
        </div>
    </div>
</div>